Loading...
Searching...
No Matches
MeshViewerWidgetSubdivider Class Reference
Inheritance diagram for MeshViewerWidgetSubdivider:
[legend]
Collaboration diagram for MeshViewerWidgetSubdivider:
[legend]

## Public Types

typedef MeshViewerWidgetT< Mesh > | Base
Public Types inherited from MeshViewerWidgetT< Mesh >
typedef Mesh | Mesh
typedef OpenMesh::StripifierT< Mesh > | MyStripifier
Public Types inherited from QGLViewerWidget
typedef QGLWidget | Super

## Public Member Functions

| MeshViewerWidgetSubdivider (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetSubdivider ()
| destructor
bool | open_mesh (const char *_filename, OpenMesh::IO::Options _opt) override
| open mesh
Mesh & | orig_mesh ()
const Mesh & | orig_mesh () const
Public Member Functions inherited from MeshViewerWidgetT< Mesh >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const
Public Member Functions inherited from QGLViewerWidget
| QGLViewerWidget (QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)

## Protected Attributes

Mesh | orig_mesh_
Protected Attributes inherited from MeshViewerWidgetT< Mesh >
bool | f_strips_
GLuint | tex_id_
GLint | tex_mode_
OpenMesh::IO::Options | opt_
Mesh | mesh_
MyStripifier | strips_
bool | use_color_
bool | show_vnormals_
bool | show_fnormals_
float | normal_scale_
OpenMesh::FPropHandleT< typename Mesh::Point > | fp_normal_base_

## Additional Inherited Members

Protected Member Functions inherited from MeshViewerWidgetT< Mesh >
virtual void | draw_scene (const std::string &_draw_mode) override
| inherited drawing method
virtual void | draw_openmesh (const std::string &_drawmode)
| draw the mesh
void | glVertex (const typename Mesh::VertexHandle _vh)
void | glVertex (const typename Mesh::Point &_p)
void | glNormal (const typename Mesh::VertexHandle _vh)
void | glTexCoord (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::VertexHandle _vh)
void | glNormal (const typename Mesh::FaceHandle _fh)
void | glColor (const typename Mesh::FaceHandle _fh)
void | glMaterial (const typename Mesh::FaceHandle _fh, int _f=GL_FRONT_AND_BACK, int _m=GL_DIFFUSE)
void | compute_strips (void)
virtual void | keyPressEvent (QKeyEvent *_event) override
Protected Member Functions inherited from QGLViewerWidget
double | performance (void)
void | setDefaultMaterial (void)
void | setDefaultLight (void)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)

## Member Function Documentation

## open_mesh()

bool MeshViewerWidgetSubdivider::open_mesh | ( | const char * | _filename,
|  | OpenMesh::IO::Options | _opt )

inline override virtual

open mesh

Reimplemented from MeshViewerWidgetT< Mesh >.

The documentation for this class was generated from the following file:

- OpenMesh/Apps/Subdivider/MeshViewerWidget.hh